{
  "name": "trace-explorer",
  "version": "1.4.0",
  "private": true,
  "type": "module",
  "engines": {
    "node": "^20.19.0 || >=22.12.0"
  },
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "test:unit": "vitest",
    "test:e2e": "playwright test",
    "build-only": "vite build",
    "type-check": "vue-tsc --build",
    "lint:oxlint": "oxlint . --fix -D correctness --ignore-path .gitignore",
    "lint:eslint": "eslint . --fix --cache",
    "lint": "run-s lint:*",
    "format": "prettier --write --experimental-cli src/"
  },
  "dependencies": {
    "@fontsource/source-sans-3": "^5.1.0",
    "@internationalized/date": "^3.10.1",
    "@tailwindcss/vite": "^4.1.18",
    "@tanstack/vue-query": "^5.92.1",
    "@tanstack/vue-table": "^8.21.3",
    "@vueuse/core": "^14.1.0",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "cytoscape": "^3.33.1",
    "cytoscape-dagre": "^2.5.0",
    "d3-scale": "^4.0.2",
    "dompurify": "^3.3.1",
    "highlight.js": "^11.11.1",
    "ky": "^1.14.1",
    "marked": "^17.0.1",
    "marked-highlight": "^2.2.3",
    "pinia": "^3.0.4",
    "reka-ui": "^2.6.1",
    "tailwind-merge": "^3.4.0",
    "tailwindcss": "^4.1.18",
    "vue": "^3.5.25",
    "vue-json-pretty": "^2.6.0",
    "vue-router": "^4.6.3",
    "vue-sonner": "^2.0.9"
  },
  "devDependencies": {
    "@playwright/test": "^1.57.0",
    "@prettier/plugin-oxc": "^0.0.5",
    "@tsconfig/node24": "^24.0.3",
    "@types/cytoscape": "^3.31.0",
    "@types/cytoscape-dagre": "^2.3.4",
    "@types/d3-scale": "^4.0.9",
    "@types/jsdom": "^27.0.0",
    "@types/node": "^24.10.1",
    "@vitejs/plugin-vue": "^6.0.2",
    "@vitejs/plugin-vue-jsx": "^5.1.2",
    "@vitest/eslint-plugin": "^1.5.0",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.6.0",
    "@vue/test-utils": "^2.4.6",
    "@vue/tsconfig": "^0.8.1",
    "eslint": "^9.39.1",
    "eslint-plugin-oxlint": "~1.29.0",
    "eslint-plugin-playwright": "^2.3.0",
    "eslint-plugin-vue": "~10.5.1",
    "jiti": "^2.6.1",
    "jsdom": "^27.2.0",
    "npm-run-all2": "^8.0.4",
    "oxlint": "~1.29.0",
    "prettier": "3.6.2",
    "tw-animate-css": "^1.4.0",
    "typescript": "~5.9.0",
    "vite": "^7.2.4",
    "vite-plugin-vue-devtools": "^8.0.5",
    "vitest": "^4.0.14",
    "vue-tsc": "^3.1.5"
  }
}
